
h = 3;
//w = 71;
//l = 46;
w = 100;
l = 66;
r1 = 2;
r2 = 15;
thickness = 1.2;

filled = 1;

$fn = 200;


twoholes = 1;



hhole = 100;
whole = 33;
lhole = 14;
rhole = 2;
module hole() {
	union() {
		translate([0,0,0]) {
			minkowski() {
				cube([ whole-rhole*2, lhole-rhole*2, hhole],center=true);
				cylinder(r=rhole,h=0.001,center=true,$fn=200);
			}
		}
		translate([0,0,-thickness/2])
			cube([whole+10,lhole+10,thickness],center=true);
	}
}



module b(r) {
	difference() {
		union() {
			translate([0,0,h/2+.0]) {
				minkowski() {
					cube([ w-r*2, l-r*2, h],center=true);
					cylinder(r=r,h=0.001,center=true,$fn=200);
				}
			}
			translate([0,0,-thickness/2])
				cube([w+10,l+10,thickness],center=true);
		}
		minkowski() {
			cube([ w-r*2 - thickness*2, l-r*2 - thickness*2, h*20],center=true);
			cylinder(r=r,h=0.001,center=true,$fn=200);
		}
	}

	difference() {
		translate([0,0,-h/2+1.8]) {
			minkowski() {
				cube([ w-r*2, l-r*2, h],center=true);
				cylinder(r=r,h=0.001,center=true,$fn=200);
			}
		}
		minkowski() {
			cube([ w-r*2 - thickness*4, l-r*2 - thickness*4, h*20],center=true);
			cylinder(r=r,h=0.001,center=true,$fn=200);
		}
	}
}

module c(r) {
	translate([0,0,5])
	difference() {
		minkowski() {
			cube([ w-r*2 - thickness*2.5, l-r*2 - thickness*2.5, 1.5],center=true);
			cylinder(r=r,h=0.001,center=true,$fn=200);
		}
		if (! filled) {
			minkowski() {
				cube([ w-r*2 - thickness*5, l-r*2 - thickness*5, h*20],center=true);
				cylinder(r=r,h=0.001,center=true,$fn=200);
			}
		}
		if (twoholes) {
			translate([w/2 - 24,0,0,])
				hole();
			translate([-w/2 + 24,0,0,])
				hole();

		}
	}
}

if (1) {
	translate([0,0,20])
	rotate([0,180,180])
		union() {
	difference() {
		b(r1);
		translate([-500,0,0])
			cube([1000,1000,1000],center=true);
	}
	difference() {
		b(r2);
		translate([500,0,0])
			cube([1000,1000,1000],center=true);
	}
		}
}

if (1) {
	union() {
	difference() {
		c(r1);
		translate([-500,0,0])
			cube([1000,1000,1000],center=true);
	}
	difference() {
		c(r2);
		translate([500,0,0])
			cube([1000,1000,1000],center=true);
	}
	}

}
